Page MenuHomePhabricator

Board description: Switching to VE and clicking Save removes Categories
Closed, ResolvedPublic

Description

  1. Add Categories to an empty Board description.
  2. Switch to VE and add some text - click Save.
  3. Switch back to wikitext to check on Categories - they are gone.
NOTE: Add some text in wikitext mode as well as Categories, then switch to VE and add more text - and click Save - the Categories are saved. Adding wikitext to Board description will preserve Categories.

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterWrap body-only HTML in <body> tags when parsing

Event Timeline

Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2015, 5:20 PM
This comment was removed by Catrope.
Mooeypoo assigned this task to Catrope.Oct 15 2015, 10:22 PM
Mooeypoo added a subscriber: Mooeypoo.

Another (easy) case to check after the fix:

  1. On an empty Board description, add Categories
  2. Click to switch to VE - you may enter some text
  3. Switch back to wikitext - previously added Categories are gone.
Catrope triaged this task as High priority.Oct 17 2015, 12:35 AM
Catrope set Security to None.

Change 247027 had a related patch set uploaded (by Catrope):
Wrap body-only HTML in <body> tags when parsing

https://gerrit.wikimedia.org/r/247027

Change 247027 merged by jenkins-bot:
Wrap body-only HTML in <body> tags when parsing

https://gerrit.wikimedia.org/r/247027

Checked in betalabs.

Catrope closed this task as Resolved.Nov 22 2015, 10:52 PM